#include 	"p16f690.inc"
	GLOBAL TMR2_Config
TMR2_SECTION1 CODE
TMR2_Config
;
	BANKSEL T2CON
;
	;bit 7 Unimplemented: Read as 0
;
	;TOUTPS<3:0>: Timer2 Output Postscale Select bits
	;0000 =1:1 postscale
	;0001 =1:2 postscale
	;
	;
	;
	;1111 =1:16 postscale
	BCF T2CON, TOUTPS3
	BCF T2CON, TOUTPS2
	BCF T2CON, TOUTPS1
	BCF T2CON, TOUTPS0
;
	;T2CKPS<1:0>: Timer2 Clock Prescale Select bits
	;00 = Prescaler is 1
	;01 = Prescaler is 4
	;1x = Prescaler is 16
	BCF T2CON, T2CKPS1
	BSF T2CON, T2CKPS0
;
	;TMR2ON: Timer2 On bit
	;1 = Timer2 is on
	;0 = Timer2 is off
	BSF T2CON, TMR2ON
;
	RETURN
;
	END